package com.cooleshow.student.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.student.bean.AppHomeBean;
import com.cooleshow.student.bean.CountOfUnreadBean;
import com.cooleshow.student.bean.HelpCenterContentBean;
import com.cooleshow.student.bean.HomeLiveAndVideoBean;
import com.cooleshow.student.bean.HomeStyleBean;
import com.cooleshow.student.bean.HotAlbumBean;
import com.cooleshow.student.bean.StudentUserInfo;
import com.cooleshow.student.bean.TeachableInstrumentBean;

import java.util.List;

/**
 * 创建日期：2022/5/26 10:09
 *
 * @author Ryan
 * 类说明：
 */
public interface HomeContract {
    interface HomeView extends BaseView {
        void appHomeSuccess(AppHomeBean appHomeBean);

        void hotAlbumListSuccess(HotAlbumBean data);

        void queryLiveAndVideoSuccess(HomeLiveAndVideoBean data);

        void getStylePageSuccess(HomeStyleBean data);

        void queryUserInfoSuccess(StudentUserInfo data);

        void helpCenterContentListSuccess(HelpCenterContentBean bean);

        void queryCountOfUnreadSuccess(List<CountOfUnreadBean> data);
    }

    interface Presenter {
    }
}
